cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bhais...@apache.org
Subject [3/3] git commit: updated refs/heads/4.3 to f412e07
Date Thu, 04 Dec 2014 14:28:01 GMT
CLOUDSTACK-7959: fixed 'qemu-img convert' compat issue

Backported using fix 03daae571b44354d31913c7e0ecb9e1f64cdcd55 by
Will Stevens <wstevens@cloudops.com>

Signed-off-by: Rohit Yadav <rohit.yadav@shapeblue.com>


Project: http://git-wip-us.apache.org/repos/asf/cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/cloudstack/commit/f412e07d
Tree: http://git-wip-us.apache.org/repos/asf/cloudstack/tree/f412e07d
Diff: http://git-wip-us.apache.org/repos/asf/cloudstack/diff/f412e07d

Branch: refs/heads/4.3
Commit: f412e07d715428b3b7d911e3cd0c71cd79949962
Parents: 82efb04
Author: Rohit Yadav <rohit.yadav@shapeblue.com>
Authored: Thu Dec 4 19:28:43 2014 +0530
Committer: Rohit Yadav <rohit.yadav@shapeblue.com>
Committed: Thu Dec 4 19:28:43 2014 +0530

----------------------------------------------------------------------
 tools/appliance/build.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cloudstack/blob/f412e07d/tools/appliance/build.sh
----------------------------------------------------------------------
diff --git a/tools/appliance/build.sh b/tools/appliance/build.sh
index a9c0a0a..d5fc134 100755
--- a/tools/appliance/build.sh
+++ b/tools/appliance/build.sh
@@ -90,7 +90,14 @@ set -e
 
 # Export for KVM
 vboxmanage internalcommands converttoraw -format vdi "$hdd_path" raw.img
-qemu-img convert -f raw -c -O qcow2 raw.img $appliance-$build_date-$branch-kvm.qcow2
+set +e
+qemu-img convert -o compat=0.10 -f raw -c -O qcow2 raw.img $appliance-$build_date-$branch-kvm.qcow2
+local qemuresult=$?
+set -e
+if [ ${qemuresult} != 0 ]; then
+  log INFO "'qemu-img convert' failed, trying without compat option"
+  qemu-img convert -f raw -c -O qcow2 raw.img $appliance-$build_date-$branch-kvm.qcow2
+fi
 rm raw.img
 bzip2 $appliance-$build_date-$branch-kvm.qcow2
 echo "$appliance exported for KVM: dist/$appliance-$build_date-$branch-kvm.qcow2.bz2"


Mime
View raw message